Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class PluginField

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.rdl.PluginField

All Implemented Interfaces:
  Expression, Field

    public class PluginField

extends Field_Named

This class represents a very general platform or language specific plugin invocation which can be attached to any instance. This can be used to include a shell which has been fully implemented, invoke an external tool or practically anything else.

Version:
  $Revision: 1.12 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected java.lang.String` | `argument` The argument to give the plugin when invoked.
`protected RawStaticIdentifier` | `external` The platform entity to which this plugin applies.
`protected Platform` | `platform` The platform to which this plugin applies.
`protected java.lang.String` | `plugin` The name of the plugin to invoke.

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`PluginField(java.lang.String _name, Instance _instance, PluginField _pluginField)` Copy constructor, used during unit instance hierarchy creation.
`PluginField(java.lang.String _plugin, RawStaticIdentifier _external, java.lang.String _argument)` Base constructor, simply records the given arguments.

Method Summary
`Field` | `copy(java.lang.String _name, Instance _instance)` Create a copy of this field in the given instance.
`java.lang.String` | `getArgument()` Simple accessor.
`java.lang.String` | `getLanguage()` Simple accessor.
`Platform` | `getPlatform()` Simple accessor.
`java.lang.String` | `getPlugin()` Simple accessor.
`boolean` | `match(Platform _platform, java.lang.String language)` Simple accessor.
`void` | `resolve(java.util.HashSet<Declaration> markSet, Log errorLog, Expression.Phase phase)` Extends the default resolve implementation to resolve the platform for this external.
`void` | `setNamespace(Namespace _namespace)` Extends the default setNamespace implementation to set the namespace on the platform for this external.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, setInstance, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### plugin

    protected java.lang.String plugin

  The name of the plugin to invoke.

### argument

    protected java.lang.String argument

  The argument to give the plugin when invoked.

### platform

    protected Platform platform

  The platform to which this plugin applies.

### external

    protected RawStaticIdentifier external

  The platform entity to which this plugin applies.

Constructor Detail

### PluginField

    public PluginField(java.lang.String _plugin,
                       RawStaticIdentifier _external,
                       java.lang.String _argument)

  Base constructor, simply records the given arguments.

  Parameters:
    `_plugin` - The name of the plugin to invoke.
    `_external` - The platform entity to which this plugin applies (might also be a language).
    `_argument` - The argument to give the plugin when invoked.

### PluginField

    public PluginField(java.lang.String _name,
                       Instance _instance,
                       PluginField _pluginField)

  Copy constructor, used during unit instance hierarchy creation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance this copy will be a member of.
    `_pluginField` - The plugin field to copy.

Method Detail

### copy

    public Field copy(java.lang.String _name,
                      Instance _instance)

  Description copied from interface: `Field`
  Create a copy of this field in the given instance. This is highly useful during dynamic hierarchy copying and during back end generation.

  Parameters:
    `_name` - The new name to use.
    `_instance` - The instance the copy should be a member of.
  See Also:
    `Field.copy(String, Instance)`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Field_Named`
  Returns:
    A human readable representation of this map for debugging.

### setNamespace

    public void setNamespace(Namespace _namespace)

  Extends the default setNamespace implementation to set the namespace on the platform for this external.

  Specified by:
    `setNamespace` in interface `Expression`
  Overrides:
    `setNamespace` in class `Field_Named`
  Parameters:
    `_namespace` - The namespace in which this field was declared.
  See Also:
    `Field_Named.setNamespace(Namespace)`

### resolve

    public void resolve(java.util.HashSet<Declaration> markSet,
                        Log errorLog,
                        Expression.Phase phase)

  Extends the default resolve implementation to resolve the platform for this external.

  Specified by:
    `resolve` in interface `Expression`
  Overrides:
    `resolve` in class `Field_Named`
  Parameters:
    `markSet` - Complete hash set of declarations on which the caller depends (including itself).
    `errorLog` - Log of errors to be reported to the user.
    `phase` - The phase of resolution to perform.
  See Also:
    `Expression.resolve(HashSet, Log, Phase)`, `Expression.resolve(HashSet, Log, Phase)`

### getPlugin

    public java.lang.String getPlugin()

  Simple accessor.

  Returns:
    The name of the plugin to invoke.

### getArgument

    public java.lang.String getArgument()

  Simple accessor.

  Returns:
    The argument string to pass to the plugin when invoked.

### getPlatform

    public Platform getPlatform()

  Simple accessor.

  Returns:
    The platform to which this external applies.

### getLanguage

    public java.lang.String getLanguage()

  Simple accessor.

  Returns:
    The language to which this external applies.

### match

    public boolean match(Platform _platform,
                         java.lang.String language)

  Simple accessor.

  Parameters:
    `_platform` - The platform to try and match.
    `language` - The language to try and match.
  Returns:
    `true` if this plugin applies to the given platform or language.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD